#include <stdio.h>
#include "../winuser.h"
int _CRlistTab(mmachine m)
{ m->pp+=7;return MMpush(m,NIL); }
int _ADDlistTabColumn(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _DELlistTabColumn(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _ADDlistTabItem(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _SETlistTabItem(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _GETlistTabSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SIZElistTab(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETlistTabPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONlistTab(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _DSlistTab(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DELlistTabItem(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETlistTabBitmaps(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETlistTabBitmap(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBlistTabSort(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SORTlistTab(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SETlistTabParam(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBlistTabColumn(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBlistTabDClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBlistTabSelect(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _RSTlistTab(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETlistTabCount(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _ENlistTab(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NlisttabPKG 22
char* listtabname[NlisttabPKG]=
{"_CRlistTab","_ADDlistTabColumn","_DELlistTabColumn","_ADDlistTabItem","_SETlistTabItem","_GETlistTabSizePosition","_SIZElistTab","_GETlistTabPositionSize","_POSITIONlistTab","_DSlistTab","_DELlistTabItem","_SETlistTabBitmaps","_SETlistTabBitmap","_CBlistTabSort","_SORTlistTab","_SETlistTabParam","_CBlistTabColumn","_CBlistTabDClick","_CBlistTabSelect","_RSTlistTab","_GETlistTabCount","_ENlistTab"};
int (*listtabfun[NlisttabPKG])(mmachine m)=
{_CRlistTab,_ADDlistTabColumn,_DELlistTabColumn,_ADDlistTabItem,_SETlistTabItem,_GETlistTabSizePosition,_SIZElistTab,_GETlistTabPositionSize,_POSITIONlistTab,_DSlistTab,_DELlistTabItem,_SETlistTabBitmaps,_SETlistTabBitmap,_CBlistTabSort,_SORTlistTab,_SETlistTabParam,_CBlistTabColumn,_CBlistTabDClick,_CBlistTabSelect,_RSTlistTab,_GETlistTabCount,_ENlistTab};
int listtabnarg[NlisttabPKG]=
{7,5,2,4,4,1,5,1,5,1,2,2,3,3,1,3,3,3,3,1,1,2};
char* listtabtype[NlisttabPKG]=
{"fun [Chn ObjWin I I I I I] ObjListTab","fun [ObjListTab I I I S] ObjListTab","fun [ObjListTab I] ObjListTab","fun [ObjListTab I I S] ObjListTab","fun [ObjListTab I I S] ObjListTab","fun [ObjListTab] [I I I I]","fun [ObjListTab I I I I] ObjListTab","fun [ObjListTab] [I I I I]","fun [ObjListTab I I I I] ObjListTab","fun [ObjListTab] I","fun [ObjListTab I] ObjListTab","fun [ObjListTab ObjBitmapList] ObjListTab","fun [ObjListTab I BitmapIndex] ObjListTab","fun [ObjListTab fun [ObjListTab u0 I I] I u0] ObjListTab","fun [ObjListTab] ObjListTab","fun [ObjListTab I I] ObjListTab","fun [ObjListTab fun [ObjListTab u0 I] u1 u0] ObjListTab","fun [ObjListTab fun [ObjListTab u0 I I] u1 u0] ObjListTab","fun [ObjListTab fun [ObjListTab u0 I] u1 u0] ObjListTab","fun [ObjListTab] ObjListTab","fun [ObjListTab] I","fun [ObjListTab I] ObjListTab"};
int SCOLloadlisttab(mmachine m)
{
return PKhardpak(m,"listtab.pkg",NlisttabPKG,listtabname,listtabfun,listtabnarg,listtabtype);
}
